%define name	perl-OpenCA-AC
%define version	0.9.62
%define release	1mdk

Summary:	Access Control for OpenCA
Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
License:	LGPL
Group: 		Development/Perl
URL:		http://www.cpan.org
Source:		OpenCA-AC-%{version}.tar.bz2
#Requires:	perl-CGI-Session
#Requires:	perl-OpenCA-Log
#Requires:	perl-OpenCA-PKCS7
#Requires:	perl-OpenCA-Tools
#Requires:	perl-OpenCA-TRIStateCGI
#Requires:	perl-OpenCA-XML-Cache
#Requires:	perl-XML-Twig
BuildRequires:	perl-devel
BuildRequires:	perl-CGI-Session
BuildRequires:	perl-OpenCA-Log
BuildRequires:	perl-OpenCA-PKCS7
BuildRequires:	perl-OpenCA-Tools
BuildRequires:	perl-OpenCA-TRIStateCGI
BuildRequires:	perl-OpenCA-XML-Cache
BuildRequires:	perl-XML-Twig
BuildRequires:	perl-OpenCA-OpenSSL
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
This module handle the complete access control to the interfaces
of OpenCA. This include things like channel verification, login,
session management and access control lists.

%prep

%setup -q -n OpenCA-AC-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE MANIFEST README
%{perl_vendorlib}/OpenCA/AC.pm
%{perl_vendorlib}/OpenCA/AC.pod
%{_mandir}/*/*

%changelog
* Sat Oct 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.62-1mdk
- 0.9.62

* Wed Sep 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.58-1mdk
- 0.9.58

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.55-1mdk
- 0.9.55

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.53-1mdk
- 0.9.53

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.52-1mdk
- 0.9.52

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.50-2mdk
- built for cooker

* Thu Jun 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.50-1mdk
- 0.9.50

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.49-1mdk
- 0.9.49

* Thu May 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.47-1mdk
- 0.9.47

* Mon May 03 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.46-1mdk
- 0.9.46
- fix buildrequires

* Wed Apr 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.40-1mdk
- initial package
